Can't build!

Started by Emeraldnickel on Wed, 06/16/2021 - 01:28

Topic category: Troubleshooting, bugs, and solutions

Last seen on 22:37, 20. Jun 2021
Joined Sep 2020
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Can't build!
Wed, 06/16/2021 - 01:39 (edited)

I can't build my project. Console log is as follows:

Executing 
    Gradle task: build

Build 
    info: MCreator 2021.1.18117, fabric-1.16.5, 64-bit, 8192 MB, Mac OS X, JVM 
    1.8.0_275, JAVA_HOME: 
    /Applications/MCreator.app/Contents/MacOS/jdk/Contents/Home/jre


    Configure project :

Fabric 
    Loom: 0.6.58 Build(release #58)


    Task :compileJava UP-TO-DATE


    Task :processResources UP-TO-DATE


    Task :classes UP-TO-DATE


    Task :jar UP-TO-DATE


    Task :remapJar UP-TO-DATE


    Task :assemble UP-TO-DATE


    Task :compileTestJava NO-SOURCE


    Task :processTestResources NO-SOURCE


    Task :testClasses UP-TO-DATE


    Task :test NO-SOURCE


    Task :check UP-TO-DATE


    Task :sourcesJar


    Task :remapSourcesJar FAILED

:remapping 
    sources

FAILURE: 
    Build failed with an exception.


    What went wrong:

Execution 
    failed for task ':remapSourcesJar'.


    org/eclipse/core/runtime/IProgressMonitor has been compiled by a more 
    recent version of the Java Runtime (class file version 55.0), this version 
    of the Java Runtime only recognizes class file versions up to 52.0


    Try:

Run 
    with --stacktrace option to get the stack trace. Run with --info or 
    --debug option to get more log output. Run with --scan to get full 
    insights.


    Get more help at https://help.gradle.org

BUILD 
    FAILED in 3s


    actionable tasks: 2 executed, 4 up-to-date

BUILD 
    FAILED

Task 
    completed in 3 seconds

I'm using the fabric generator plugin at https://mcreator.net/plugin/64512/mcreator-fabric-generator.

Does anyone know how to fix this? Fixes to similar problems online haven't worked or haven't been applicable.

Edited by Emeraldnickel on Wed, 06/16/2021 - 01:39
Last seen on 08:51, 14. Jul 2021
Joined Jun 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
It started happening for me…
Wed, 06/16/2021 - 20:18

It started happening for me today as well. I was building normally in the morning but now I can't build anymore with the same error. It's some Eclipse version mismatch. I have no errors with the mod and if I test play it it builds it normally.

Had a similar library error few weeks ago but that was resolved with complete cache clearing, this one however does not get resolved that way.

Last seen on 08:51, 14. Jul 2021
Joined Jun 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Using Fabric 1.16.5 built-in…
Wed, 06/16/2021 - 20:19

Using Fabric 1.16.5 built-in 0.34.6

Hello there, did not know we…
Sat, 06/19/2021 - 13:32

Hello there, did not know we had you on the website too :D

Last seen on 08:51, 14. Jul 2021
Joined Jun 2021
Points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
I just signed up :P
Sun, 06/20/2021 - 20:19

I just signed up :P